<form autocomplete="off" #createCourseModal="ngForm" (ngSubmit)="save()">
    <h1 mat-dialog-title>{{ "CreateNewCourse" | localize }}</h1>
    <mat-dialog-content>
        <div class="row-fluid">
            <div class="col-md-6">
                <mat-form-field>
                    <input matInput name="id" [placeholder]="'Id' | localize" [(ngModel)]='course.id' required
                        type="number" />
                </mat-form-field>
                <mat-form-field>
                    <input matInput name="title" [placeholder]="'Title' | localize" [(ngModel)]="course.title" required
                        minlength="3" maxlength="50" />
                </mat-form-field>
                <mat-form-field>
                    <input matInput name="Credits" [placeholder]="'Credits' | localize" [(ngModel)]="course.credits"
                        required type="number" />
                </mat-form-field>
            </div>
            <div class="col-md-6">
                <mat-form-field>
                    <mat-select [(ngModel)]="selectedDepartment" name="selectedDepartment">
                        <mat-option *ngFor="let department of departments" [value]="department.id">
                            {{ department.name }}
                        </mat-option>
                    </mat-select>
                </mat-form-field>
            </div>
        </div>
    </mat-dialog-content>
    <div mat-dialog-actions align="end">
        <button mat-button type="button" [disabled]="saving" (click)="close(false)">
            {{ "Cancel" | localize }}
        </button>
        <button mat-flat-button type="submit" flex="15" color="primary"
            [disabled]="!createCourseModal.form.valid || saving">
            {{ "Save" | localize }}
        </button>
    </div>
</form>